MCA_READ_POS(9)

NAME
mca_read_pos - read POS register from card

SYNOPSIS

unsigned char mca_read_pos (int slot, int reg);

ARGUMENTS

slot
    slot number to read from

reg register to read from

DESCRIPTION

Fetch a POS value directly from the hardware to obtain the current value. This is much slower than mca_read_stored_pos and may not be invoked from interrupt context. It handles the deep magic required for onboard devices transparently.

AUTHORS
Alan Cox <alan@redhat.com>, David Weinehall, Chris Beauregard.